package testme.myapp.com.ntrp.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import androidx.fragment.app.Fragment;

import butterknife.BindView;
import testme.myapp.com.ntrp.R;

import butterknife.ButterKnife;

public class TermsAndConditionsFragment extends Fragment {

    private String html_content="  <!DOCTYPE html> <html lang=\"en\"> <body> <br> <div class=\"websitePolicy\"> <strong>Terms and Conditions for Online-Payments on Bharatkosh </strong> <br /> <br /> <strong>1.</strong> The Terms and Conditions contained herein shall apply to any person or entity (“User”) using the services of Non-Tax Receipt Portal (Bharatkosh) for making Government of India non-tax payments through an online Payment Gateway aggregator provider, through Bharatkosh's website i.e. https://bharatkosh.gov.in/. Each user, in their personal or representative capacity, is therefore deemed to have read and accepted these Terms and Conditions.The agreement shall remain valid until it is replaced by another agreement or terminated by Bharatkosh , whichever is earlier. <br /> <br /> <strong>2.</strong> Any information that is freely available or accessible in the public domain or furnished under the Right to Information Act, 2005, or any other law for the time being in force shall not be regarded as sensitive personal data or information for the purposes of these rules. RTI Act, Sec 8.1.is applicable in relation to confidentiality and privacy of information indicating that there shall be no obligation to give any citizen any information as covered under the act. <br /> <br /> <strong>A. Privacy Policy </strong> <br /> <br /> 3 Bharatkosh respects and protects the privacy and confidentiality of information of individuals and entities. The details on depositor and deposits are shared and accessed by respective authorities for accounting, reconciliation, and providing the service for use for details of services provided through them. Individually identifiable information about the user is not willfully disclosed to any third party without first receiving the User’s permission, as covered in this Privacy Policy or as provided in provisions of the law. <br /> <br /> 4 ‘Reasonable security practices and procedures are adopted by Bharatkosh which means security practices and procedures designed to protect information from unauthorized access, damage, use, modification, disclosure or impairment are in place. <br /> <br /> <br /> <strong>B. General Terms and Conditions For Online-Payments </strong> <br /> <br /> <strong>5.</strong> Once a user has accepted these Terms and Conditions in a personal or representative capacity, he/ she may register and avail services. A user may either register on Bharatkosh’s website or alternatively make any non-tax related payment to the Government of India directly. <br /> <br /> <strong>6 .</strong>Bharatkosh's rights, obligations, undertakings shall be subject to the laws in force in India, as well as any directives/ procedures of the Government of India, and nothing contained in these Terms and Conditions shall be in derogation of Bharatkosh's right to comply with any law enforcement agencies request or requirements relating to any User’s use of the website or information provided to or gathered by Bharatkosh with respect to such use. Each User accepts and agrees that the provision of details of his/ her use of the Website to regulators or police or to any other third party in order to resolve disputes or complaints which relate to the Website shall be at the absolute discretion of Bharatkosh. <br /> <br /> <strong>7.</strong> If any part of these Terms and Conditions are determined to be invalid or unenforceable pursuant to applicable law including, but not limited to, the warranty disclaimers and liability limitations set forth herein, then the invalid or unenforceable provision will be deemed superseded by a valid, enforceable provision that most closely matches the intent of the original provision and the remainder of these Terms and Conditions shall continue in effect. <br /> <br /> <strong>8.</strong> These Terms and Conditions constitute the entire agreement between the user and Bharatkosh. These Terms and Conditions supersede all prior or contemporaneous communications and proposals, whether electronic, oral, or written, between the user and Bharatkosh. A printed version of these Terms and Conditions and of any notice given in electronic form shall be admissible in judicial or administrative proceedings based upon or relating to these Terms and Conditions to the same extent and subject to the same conditions as other business documents and records originally generated and maintained in printed form. <br /> <br /> <strong>9.</strong> The entries in the books of Bharatkosh kept in the ordinary course of business of Bharatkosh with regard to transactions covered under these Terms and Conditions and matters therein appearing shall be binding on the user and shall be conclusive proof of the genuineness and accuracy of the transaction. <br /> <br /> <strong>10.</strong> Refund for Charge Back Claim: Bharatkosh as a policy matter, does not entertain any sort of chargeback claims barring few exceptional cases of genuine refunds. In the event there is any claim for/ of chargeback by the User for any reason whatsoever, such user shall immediately approach concerned ministry (DDO in user department) with his/ her claim details and claim a refund. The payment gateway shall not directly refund any deposit which has been successfully credited to PAO account. Once satisfied with the claim, the concerned DDO in the user ministry will initiate the process for refund as prescribed in Government financial Rules (GFR) through sanction generation. <br /> <br /> <strong>11.</strong> Refund for fraudulent/duplicate transaction(s): The User shall directly contact the issuing bank for any fraudulent transaction(s) on account of misuse of Card/ Bank details by a fraudulent individual/party and such issues shall be suitably addressed in accordance with the law of the land. For duplicate payment ,a refund may be considered by user Department (DDO in the ministry) through respective PAO ,who on verification of details and other facts will refund the money based on recommendations of related department.(DDO in the Ministry). <br /> <br /> <strong>12.</strong> Server Slow Down/Session Timeout: In case the Website webpage, that is linked to the Website, is experiencing any server related issues like ‘slow down’ or ‘failure’ or ‘session timeout’, the user shall, before initiating the second payment, check whether his/her Bank Account has been debited or not and accordingly resort to one of the following options, <br /> <br /> <br /> <br /> <strong>i)</strong> In case the Bank Account appears to be debited, ensure that he/ she does not make the payment twice and immediately thereafter use transaction status at track your payment on bharatkosh.gov.in <br /> <br /> <strong>ii)</strong> In case the Bank Account is not debited, the User may initiate a fresh transaction to make payment. <br /> <br /> <strong>13.</strong> The user agrees that under no circumstances the Bharatkosh shall be held responsible for such fraudulent/duplicate transactions and hence no claims should be raised to Bharatkosh. No communication received by the Bharatkosh in this regard shall be entertained. <br /> <br /> <strong>C. Limitation of Liability </strong> <br /> <br /> <strong>14.</strong> Bharatkosh shall not be liable for any inaccuracy, error or delay in, or omission of (a) any data, information or message, or (b) the transmission or delivery of any such data, information or message; or (c) any loss or damage arising from or occasioned by any such inaccuracy, error, delay or omission, non-performance or interruption in any such data, information or message. <br /> <br /> <strong>15.</strong> Bharatkosh assumes no liability whatsoever for any monetary or other damage suffered by the User on account of: <br /> <br /> <br /> <br /> <strong>i)</strong> The delay, failure, interruption, or corruption of any data or other information transmitted in connection with use of the Payment Gateway Aggregator in connection thereto; and/ or <br /> <br /> <strong>ii)</strong> Any interruption or errors in the operation of the Payment Gateway. <br /> <br /> <strong>iii)</strong> Neither Bharatkosh nor any associated third parties provide any warranty or guarantee as to the timeliness, performance, completion which may arise due to technical reasons beyond our control. <br /> <br /> <strong>16.</strong> Bharatkosh shall not be liable for delay in performing or failure to perform any of its obligations under these Terms of Service (Terms & Conditions) which is caused by circumstances beyond its reasonable control, including, but not limited to, the failure, malfunction or unavailability of telecommunications, data communications and computer systems and services, natural calamities, war, civil unrest, government action, strikes, lock-outs or other industrial action or trade disputes. Any delay or failure of this kind will not be deemed to be a breach of the Terms of Service (Terms & Conditions) and the time for performance of the affected obligation will be extended by a period that is reasonable in the circumstances. <br /> <br /> <br /> <br /> <strong>D. Indemnity: </strong> <br /> <br /> <strong>17.</strong> The User agrees to indemnify, hold harmless and defend Bharatkosh and its affiliates against any loss and damages that may be caused from or relating to <br /> <br /> <strong>i)</strong> Breach of Terms of Service (Terms & Conditions) mentioned herein. <br /> <br /> <strong>ii)</strong> Improper use of the Bharatkosh services by the User. <br /> <br /> <strong>iii)</strong> Any claims made by third parties arising from issues related to any failure, delay or interruption of the services facilitated by Bharatkosh. <br /> <br /> <strong>iv)</strong> The use of Bharatkosh in any manner which violates the Terms of Service (Terms & Conditions) or otherwise violates any law, rule, conditions, or regulation. <br /> <br /> <strong>E. Miscellaneous Conditions: </strong> <br /> <br /> <strong>18.</strong> Any waiver of any rights available to Bharatkosh under these Terms and Conditions shall not mean that those rights are automatically waived. Bharatkosh reserves discretionary powers to amend or supplement any of the Terms of Service (Terms & Conditions) at any time, without prior notice. <br /> <br /> <strong>19.</strong> The User agrees, understands, and confirms that his/ her personal data including without limitation details relating to debit card/ credit card transmitted over the Internet may be susceptible to misuse, hacking, theft, and/ or fraud and that Bharatkosh has no control over such matters. <br /> <br /> <strong>20.</strong> Although all reasonable care has been taken towards guarding against unauthorized use of any information transmitted by the User, Bharatkosh does not represent or guarantee that the use of the Services provided by/ through it will not result in theft and/or unauthorized use of data over the Internet. <br /> <br /> <strong>21.</strong> The User may be required to create his/ her own User ID and Password in order to register and/ or use the Services provided by Bharatkosh on the Website. By accepting these Terms and Conditions the User aggress that his/ her User ID and Password are very important pieces of information and it shall be the User’s own responsibility to keep them secure and confidential. In furtherance hereof, the User agrees to; <br /> <br /> <br /> <strong>i) </strong>Choose a new password, whenever required for security reasons. <br /> <br /> <strong>ii)</strong> Keep his/ her User ID & Password strictly confidential. <br /> <br /> <strong>iii)</strong> Be responsible for any transactions made by the User under such User ID and Password. <br /> <br /> <strong> <br /> F. Debit/Credit Card, Bank Account Details </strong> <br /> <br /> <strong>22.</strong> The User agrees that the debit/credit card details provided by him/ her for use of the aforesaid Service(s) must be correct and accurate and that the User shall not use a debit/ credit card, that is not lawfully owned by him/ her or the use of which is not authorized by the lawful owner thereof. The User further agrees and undertakes to provide correct and valid debit/credit card details. <br /> <br /> <strong>23.</strong> The User may make a non-tax payment to Bharatkosh by using a debit/credit card or through an online banking account. The User warrants, agrees, and confirms that when he/ she initiates a payment transaction and/or issues an online payment instruction and provides his/ her card / bank details: <br /> <br /> <br /> <strong>i.</strong> The User is fully and lawfully entitled to use such credit/debit card,bank account for such transactions; <br /> <br /> <strong>ii.</strong> The User is responsible to ensure that the card/ bank account details provided by him/ her are accurate; <br /> <br /> <strong>iii.</strong> The User is authorizing debit of the nominated card/ bank account for the payment of non-tax receipt selected by such User along with the applicable Fees. <br /> <br /> <strong>iv.</strong> The User is responsible to ensure sufficient credit is available on the nominated card/ bank account at the time of making the payment to permit the payment of the dues payable or the bill(s) selected by the User inclusive of the applicable Fee. <br /> <br /> <strong>G. Personal Information <br /> <br /> </strong> <br /> <strong>24.</strong> The User agrees that, to the extent required or permitted by law, Bharatkosh may also collect, use and disclose personal information in connection with security related or law enforcement investigations or in the course of cooperating with authorities or complying with legal requirements. <br /> <br /> <strong>25.</strong> The User agrees that any communication sent by the User vide e-mail, shall imply release of information therein/ therewith to Bharatkosh. The User agrees to be contacted via e-mail on such mails initiated by him/ her. <br /> <br /> <strong>26</strong>. In addition to the information already in the possession, Bharatkosh may have collected similar information from the User in the past. By entering the Website the User consents to the terms of Bharatkosh’s information privacy policy and to Bharatkosh’s continued use of previously collected information. By submitting the User’s personal information to Bharatkosh, the User will be treated as having given his/her permission for the processing of the User’s personal data as set out herein. <br /> <br /> <strong>27.</strong> The User acknowledges and agrees that his/ her information will be managed in accordance with the laws of the land for the time in force. <br /> <br /> <strong>H. Disclaimer </strong> <br /> <br /> <strong>28.</strong> This website contains material that is owned by or licensed to us. This material includes, but is not limited to, the design, layout, look, appearance and graphics. Reproduction is prohibited other than in accordance with the copyright notice, which forms part of these terms and conditions. <br /> <br /> <strong>29.</strong> All trademarks reproduced in this website that are not the property of, or licensed to, the operator is acknowledged on the website. From time to time this website may also include links to other websites. These links are provided for your convenience to provide further information. They do not signify that we endorse the website(s). We have no responsibility for the content of the linked website(s). <br /> <br /> <strong>30.</strong> The Service is provided in order to facilitate access to make non-tax payments to the Government of India online. Bharatkosh does not make any representation of any kind, express or implied, as to the operation of the Payment Gateway other than what is specified in the Website for this purpose. <br /> <br /> <strong>31.</strong> By accepting/ agreeing to these Terms and Conditions, the User expressly agrees that his/ her use of the aforesaid online payment Service is entirely at own risk and responsibility of the User.</div> </div> </section> </div> </body> </html>";
    @BindView(R.id.terms_condition_web_view)
    public WebView terms_condition_web_view;


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {

        View view = inflater.inflate(R.layout.termsandconditions_fragment, container, false);
        ButterKnife.bind(this, view);
        getActivity().setTitle(this.getActivity().getResources().getString(R.string.menu_home_tandc));

        terms_condition_web_view.setWebViewClient(new WebViewClient());
        WebSettings set = terms_condition_web_view.getSettings();
        set.setJavaScriptEnabled(true);
        set.setBuiltInZoomControls(true);
        terms_condition_web_view.loadData(html_content, "text/html", "UTF-8");

        return view;
    }
    @Override
    public void onStart() {
        super.onStart();
        getActivity().setTitle(this.getActivity().getResources().getString(R.string.menu_home_tandc));
    }
}
